.body {
  height: 40vh;
}

.header {
  // display: flex;
  // flex-direction: row;
  // justify-content: space-between;
}

.container {
  width: auto;
  padding: 25px;
  //padding: 0 16px;
  overflow-y: hidden !important;
}

.title-sign {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 700;
  padding-left: 20px;
  font-size: 24px;
  line-height: 125%;
  color: #000000;
}



.custom-modalbox {

  .cdk-overlay-pane {
    height: 40vh !important;
  }

}

.vertical-divider {
  border-left: 1px solid blue;
  height: 200px;
//   /* Adjust as   needed */
}


.info {
  background-color: #d3d9ff;
//   height: 16px;
  width: 100%;
  display: flex;

  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 115%;
  justify-content: space-between;
  align-items: center;

  color: #000f8e;

  >.info-title {
    display: flex;
    align-items: center;

    >.mat-icon {
      margin-right: 10px;
      margin-left: 10px;
    }
  }
}


.step-1,
.step-2 {

  .step-1-title,
  .step-2-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 10px;
  }
}



h3 {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
  color: #000f8e;
  margin-bottom: 10px;
  margin-left: 27px;
}

h2 {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 1000;
  font-size: 47px;
  line-height: 125%;
  color: #000f8e;
}

.vp-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 292px;
  height: 42px;
  background: #000f8e;
  border-radius: 3px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
  text-align: center;
  color: #ffffff;
  margin-left: 63px;
  margin-bottom: 2vh;
}



.vc-download {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 380px;
  height: 220px;
  background: #000f8e;
  border-radius: 3px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
  text-align: center;
  color: #ffffff;
}

.finalVP-download {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 100%;
  height: 220px;
  background: #000f8e;
  border-radius: 3px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
  text-align: center;
  color: #ffffff;


}


::ng-deep {
  .d-content.mat-dialog-content {
    // width: 95%;
    overflow-x: hidden !important;
    // padding: 27px 46px;
    // height: 88%;
    // max-height: 80vh !important;
    max-height: calc(100% - 90px);
    height: 73vh !important;
    display: flex !important;
    justify-content: center;

  }
}

.d-content.mat-dialog-content {
  // width: 95%;
  overflow-x: hidden !important;
  // padding: 27px 46px;
  // height: 88%;
  // max-height: 80vh !important;
  max-height: calc(100% - 90px);
  height: 73vh !important;


}

.mat-dialog-content {
  display: grid;
  justify-content: center;
}

.upload{
  width: 500px !important;
}


.mat-dialog-content.container.signChoose {
  display: inline; /* or block, depending on your specific needs */
}

.button-div {
  display: flex;
  justify-content: flex-end;
  margin-top: 20px;
}

.button-row {
  display: flex;
  justify-content: space-between;
  /* Aligns items to the start line */
  align-items: center;
  /* Aligns items in the center in cross-axis */
  gap: 10px;
  /* Optional: Adds some gap between items */
  margin-bottom: 3vh;

  .signatureStatus {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 8px;
    width: 292px;
    height: 42px;

    border-radius: 3px;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 125%;
    text-align: center;
    color: #ffffff;
    margin-left: 120px !important;

  }
}

.cdk-overlay-pane {
  height: 40vh;
}

.wholeVPsignature {
  .mat-dialog-content {
    justify-content: initial !important;
  }
}
